package dev.fyloz.colorrecipesexplorer.utils

import java.time.Instant
import java.time.Period
import java.util.*

fun period(days: Int = 0, months: Int = 0, years: Int = 0): Period =
    Period.of(days, months, years)

fun Instant.toDate(): Date =
    Date.from(this)

/** Checks if a [Instant] is around the given [other] Instant, with an allowed [offset] in seconds. */
fun Instant.isAround(other: Instant, offset: Long = 1L) =
    this.isAfter(other.minusSeconds(offset)) && this.isBefore(other.plusSeconds(offset))

val Int.months: Period
    get() = period(months = this)
